<?php



	// installation messages
	define("INSTALL_TITLE", "Trading Market SHOP Instalace");

	define("INSTALL_STEP_1_TITLE", "Instalace: Krok 1");
	define("INSTALL_STEP_1_DESC", "Dujeme, e jste si vybrali Trading Market SHOP. Pro dokonen instalace, vyplte nasledovn formul. Nezapomete, e databze mus ji existovat. Pokud instalujete na databzi, kter vyuv ODBC jako napklad MS Access, mli by jste njdv vytvoit DSN, teprv pak pokraovat");
	define("INSTALL_STEP_2_TITLE", "Instalace: Krok 2");
	define("INSTALL_STEP_2_DESC", "");
	define("INSTALL_STEP_3_TITLE", "Instalace: Krok 3");
	define("INSTALL_STEP_3_DESC", "Prosm vyberte si vzhled strnky. Pozdji ho mete zmnit.");
	define("INSTALL_FINAL_TITLE", "Instalace: Posledn krok");
	define("SELECT_DATE_TITLE", "Vyberte formt datumu");

	define("DB_SETTINGS_MSG", "Nastaven databze");
	define("DB_PROGRESS_MSG", "Stav naplnn struktury databze");
	define("SELECT_PHP_LIB_MSG", "Vyberte PHP kninici");
	define("SELECT_DB_TYPE_MSG", "Vyberte typ databze");
	define("ADMIN_SETTINGS_MSG", "Administran nastaven");
	define("DATE_SETTINGS_MSG", "Formty datumu");
	define("NO_DATE_FORMATS_MSG", "dn formty datumu nejsou k dispozci");
	define("INSTALL_FINISHED_MSG", "V tomhle okamiku je Vae instalace ukonen. Prosm zkontrolujte nastaven v administranch nastavench a udlejte potebn nastaven.");
	define("ACCESS_ADMIN_MSG", "Pro pstup k administranm nastavenm kliknte sem");
	define("ADMIN_URL_MSG", "Administran URL");
	define("MANUAL_URL_MSG", "Manual URL");
	define("THANKS_MSG", "Dkujeme, e jste si vybrali <b>Trading Market SHOP</b>.");

	define("DB_TYPE_FIELD", "Typ databze");
	define("DB_TYPE_DESC", "Please select the <b>type of database</b> that you are using. If you using SQL Server or Microsoft Access, please select ODBC.");
	define("DB_PHP_LIB_FIELD", "PHP kninice");
	define("DB_HOST_FIELD", "Hostname");
	define("DB_HOST_DESC", "Please enter the <b>name</b> or <b>IP address of the server</b> on which your Trading Market database will run. If you are running your database on your local PC then you can probably just leave this as \"<b>localhost</b>\" and the port blank. If you using a database provided by your hosting company, please see your hosting company's documentation for the server settings.");
	define("DB_PORT_FIELD", "Port");
	define("DB_NAME_FIELD", "Jmno databze / DSN");
	define("DB_NAME_DESC", "If you are using a database such as MySQL or PostgreSQL then please enter the <b>name of the database</b> where you would like Trading Market to create its tables. This database must exist already. If you are just installing Trading Market for testing purposes on your local PC then most systems have a \"<b>test</b>\" database you can use. If not, please create a database such as \"Trading Market\" and use that. If you are using Microsoft Access or SQL Server then the Database Name should be the <b>name of the DSN</b> that you have set up in the Data Sources (ODBC) section of your Control Panel.");
	define("DB_USER_FIELD", "Uvatelsk jmno");
	define("DB_PASS_FIELD", "Heslo");
	define("DB_USER_PASS_DESC", "<b>Username</b> and <b>Password</b> - please enter the username and password you want to use to access the database. If you are using a local test installation the username is probably \"<b>root</b>\" and the password is probably blank. This is fine for testing, but please note that this is not secure on production servers.");
	define("DB_PERSISTENT_FIELD", "Permanetn pipojen");
	define("DB_PERSISTENT_DESC", "to use MySQL or Postgre persistent connections, tick this box. If you do not know what it means, then leaving it unticked is probably best.");
	define("DB_CREATE_DB_FIELD", "Create DB");
	define("DB_CREATE_DB_DESC", "to create database if possible, tick this box. Works only for MySQL and Postgre");
	define("DB_POPULATE_FIELD", "Naplnit databzi");
	define("DB_POPULATE_DESC", "Pro vytvoen tabulky struktury databze a jej naplnn datama zakliknte tohle polko");
	define("DB_TEST_DATA_FIELD", "Test Data");
	define("DB_TEST_DATA_DESC", "to add some test data to your database tick the checkbox");
	define("ADMIN_EMAIL_FIELD", "Email administrtora");
	define("ADMIN_LOGIN_FIELD", "Administrtorovo uivatelsk jmno");
	define("ADMIN_PASS_FIELD", "Administrtorovo heslo");
	define("ADMIN_CONF_FIELD", "Potvrdit heslo");
	define("DATETIME_SHOWN_FIELD", "Formt asu (zobrazen na strnce)");
	define("DATE_SHOWN_FIELD", "Formt datumu (zobrazen na strnce)");
	define("DATETIME_EDIT_FIELD", "Formt asu (pro pravy)");
	define("DATE_EDIT_FIELD", "Formt datumu (pro pravy)");
	define("DATE_FORMAT_COLUMN", "Formt datumu");
	define("CURRENT_DATE_COLUMN", "Dnen datum");

	define("DB_LIBRARY_ERROR", "PHP funkce pro {db_library} nejsou definovny. Prosm zkontrolujte nastaven databze v konfiguranm souboru  php.ini.");
	define("DB_CONNECT_ERROR", "Nemu se pipojit k databzi. Zkontrolujte parametry databze.");
	define("INSTALL_FINISHED_ERROR", "Instalan proces byl ji ukonen.");
	define("WRITE_FILE_ERROR", "Nemm prvo pro zpis do souboru <b>'includes/var_definition.php'</b>. Ped pokraovnm zkontrolujte pstupov prva.");
	define("WRITE_DIR_ERROR", "Nemm prva pro zpis do sloky <b>'includes/'</b>. Ped pokraovnm zkontrolujte pstupov prva.");
	define("DUMP_FILE_ERROR", "Dump soubor '{file_name}' nebyl nalezen.");
	define("DB_TABLE_ERROR", "Tabulka '{table_name}' nebyla nalezena. Prosm naplte databzi pslunma datama.");
	define("TEST_DATA_ERROR", "Check <b>{POPULATE_DB_FIELD}</b> before populating tables with test data");
	define("DB_HOST_ERROR", "The hostname that you specified could not be found.");
	define("DB_PORT_ERROR", "Can't connect to database server using specified port.");
	define("DB_USER_PASS_ERROR", "The username or password you specified is not correct.");
	define("DB_NAME_ERROR", "Login settings were correct, but the database '{db_name}' could not be found.");

	// upgrade messages
	define("UPGRADE_TITLE", "Trading Market SHOP Aktualizace");
	define("UPGRADE_NOTE", "Poznmka: Zvate prosm vytvoen zlohy databze ped pokraovnm.");
	define("UPGRADE_AVAILABLE_MSG", "Aktualizace k dispozici");
	define("UPGRADE_BUTTON", "Aktualizovat na verzi {version_number} te");
	define("CURRENT_VERSION_MSG", "Vae aktuln nainstalovan verze");
	define("LATEST_VERSION_MSG", "Verze dostupn pro instalaci");
	define("UPGRADE_RESULTS_MSG", "Vsledky aktualizace");
	define("SQL_SUCCESS_MSG", "SQL dotaz spn");
	define("SQL_FAILED_MSG", "SQL dotaz nespn");
	define("SQL_TOTAL_MSG", "Spolu vykonanch SQL dotaz");
	define("VERSION_UPGRADED_MSG", "Vae verze byla aktualizovna na");
	define("ALREADY_LATEST_MSG", "Mte nainstalovanou nejaktulnj verzi");
	define("DOWNLOAD_NEW_MSG", "The new version was detected");
	define("DOWNLOAD_NOW_MSG", "Download version {version_number} now");
	define("DOWNLOAD_FOUND_MSG", "We have detected that the new {version_number} version is available to download. Please click the link below to start downloading. After completing the download and replacing the files don't forget to run Upgrade routine again.");
	define("NO_XML_CONNECTION", "Warning! No connection to 'http://www.Trading Market.com/' available!");

?>