<?php

	// support messages
	define("SUPPORT_TITLE", "Support Center");
	define("SUPPORT_REQUEST_INF_TITLE", "Request Information");
	define("SUPPORT_REPLY_FORM_TITLE", "Reply");

	define("MY_SUPPORT_ISSUES_MSG", "My Support Requests");
	define("MY_SUPPORT_ISSUES_DESC", "If you experience any problems with the products you have purchased, our Support Team are ready to help. Feel free to contact us by clicking above link to submit a Support Request.");
	define("NEW_SUPPORT_REQUEST_MSG", "New Request");
	define("SUPPORT_REQUEST_ADDED_MSG", "Thank you<br>Our Support Team will try to help you with your request as soon as possible.");
	define("SUPPORT_SELECT_DEP_MSG", "Select Department");
	define("SUPPORT_SELECT_PROD_MSG", "Select Product");
	define("SUPPORT_SELECT_TYPE_MSG", "Select Type");
	define("SUPPORT_SELECT_STATUS_MSG", "Select Status");
	define("SUPPORT_NOT_VIEWED_MSG", "Not viewed");
	define("SUPPORT_VIEWED_BY_USER_MSG", "Viewed by user");
	define("SUPPORT_VIEWED_BY_ADMIN_MSG", "Viewed by administrator");
	define("SUPPORT_STATUS_NEW_MSG", "New");
	define("NO_SUPPORT_REQUEST_MSG", "No issues were found");

	define("SUPPORT_SUMMARY_COLUMN", "Summary");
	define("SUPPORT_TYPE_COLUMN", "Type");
	define("SUPPORT_UPDATED_COLUMN", "Last Updated");

	define("SUPPORT_USER_NAME_FIELD", "Your Name");
	define("SUPPORT_USER_EMAIL_FIELD", "Your Email Address");
	define("SUPPORT_IDENTIFIER_FIELD", "Identifier (Invoice #)");
	define("SUPPORT_ENVIRONMENT_FIELD", "Environment (OS, Database, Web Server, etc.)");
	define("SUPPORT_DEPARTMENT_FIELD", "Department");
	define("SUPPORT_PRODUCT_FIELD", "Product");
	define("SUPPORT_TYPE_FIELD", "Type");
	define("SUPPORT_CURRENT_STATUS_FIELD", "Current Status");
	define("SUPPORT_SUMMARY_FIELD", "One-line Summary");
	define("SUPPORT_DESCRIPTION_FIELD", "Description");
	define("SUPPORT_MESSAGE_FIELD", "Message");
	define("SUPPORT_ADDED_FIELD", "Added");
	define("SUPPORT_ADDED_BY_FIELD", "Added by");
	define("SUPPORT_UPDATED_FIELD", "Last Updated");

	define("SUPPORT_REQUEST_BUTTON", "Submit Request");
	define("SUPPORT_REPLY_BUTTON", "Reply");
	                                    
	define("SUPPORT_MISS_ID_ERROR", "Missing <b>Support ID</b> parameter");
	define("SUPPORT_MISS_CODE_ERROR", "Missing <b>Verification</b> parameter");
	define("SUPPORT_WRONG_ID_ERROR", "<b>Support ID</b> parameter has wrong value");
	define("SUPPORT_WRONG_CODE_ERROR", "<b>Verification</b> parameter has wrong value");

	define("MAIL_DATA_MSG", "Mail Data");
	define("HEADERS_MSG", "Headers");
	define("ORIGINAL_TEXT_MSG", "Original Text");
	define("ORIGINAL_HTML_MSG", "Original HTML");
	define("CLOSE_TICKET_NOT_ALLOWED_MSG", "Sorry, but you are not allowed to close tickets.<br>");
	define("REPLY_TICKET_NOT_ALLOWED_MSG", "Sorry, but you are not allowed to reply tickets.<br>");
	define("CREATE_TICKET_NOT_ALLOWED_MSG", "Sorry, but you are not allowed to create new tickets.<br>");
	define("REMOVE_TICKET_NOT_ALLOWED_MSG", "Sorry, but you are not allowed to remove tickets.<br>");
	define("UPDATE_TICKET_NOT_ALLOWED_MSG", "Sorry, but you are not allowed to update tickets.<br>");
	define("NO_TICKETS_FOUND_MSG", "No tickets were found.");
	define("HIDDEN_TICKETS_MSG", "Hidden Tickets");
	define("ALL_TICKETS_MSG", "All Tickets");
	define("ACTIVE_TICKETS_MSG", "Active Tickets");
	define("NOT_ASSIGNED_THIS_DEP_MSG", "You are not assigned to this department.");
	define("NOT_ASSIGNED_ANY_DEP_MSG", "You are not assigned to any department.");
	define("REPLY_TO_NAME_MSG", "Reply to {name}");
	define("KNOWLEDGE_CATEGORY_MSG", "Knowledge Category");
	define("KNOWLEDGE_TITLE_MSG", "Knowledge Title");
	define("KNOWLEDGE_ARTICLE_STATUS_MSG", "Knowledge Article Status");
	define("SELECT_RESPONSIBLE_MSG", "Select Responsible");

?>