<?php

	// сообщения для корзины
	define("CART_TITLE", "Корзина покупок");
	define("SMALL_CART_TITLE", "Ваша корзина");
	define("PRODUCTS_TITLE", "Товары");
	define("RELATED_PRODUCTS_TITLE", "Сопутствующие товары");
	define("TOP_SELLERS_TITLE", "Лидеры продаж");
	define("PRODUCTS_RECOMMENDED_TITLE", "Рекомендуемые товары");
	define("CHECKOUT_LOGIN_TITLE", "Оформление заказа :: Регистрация");
	define("CHECKOUT_INFO_TITLE", "Оформление заказа :: Персональная информация");
	define("CHECKOUT_PAYMENT_TITLE", "Оформление заказа :: Способ и детали оплаты");
	define("CHECKOUT_CONFIRM_TITLE", "Оформление заказа :: Подтверждение");
	define("CHECKOUT_FINAL_TITLE", "Оформление заказа :: Завершение");
	define("CHANGES_LOG_TITLE", "Список изменений");
	define("COMPARE_TITLE", "Сравнение товаров");
	define("CUSTOMERS_WHO_BOUGHT_TITLE", "С этим товаром заказывают");

	define("PRODUCT_MSG", "Товар");
	define("PRICES_MSG", "Цены");
	define("OUR_PRICE_MSG", "Цена сейчас");
	define("YOU_SAVE_MSG", "Экономия");
	define("PROD_OPTIONS_MSG", "Опции");
	define("PROD_SUBCOMPONENTS_MSG", "Подкомпоненты");
	define("OPTIONS_AND_COMPONENTS_MSG", "Опции и Компоненты");
	define("PROD_AVAILABILITY_MSG", "Доставка");
	define("PROD_HIGHLIGHT_MSG", "Особенности");
	define("PROD_SUPER_IMAGE_MSG", "Увеличенное изображение");
	define("PROD_PREVIEW_MSG", "Предпросмотр");
	define("PROD_PREVIEW_CLICK_MSG", "Нажмите здесь для предпросмотра");
	define("PROD_DESCRIPTION_MSG", "Описание");
	define("PROD_SPECIFICATION_MSG", "Спецификация");
	define("PROD_IMAGES_MSG", "Фото");
	define("PROD_ACCESSORIES_MSG", "Аксессуары");
	define("PROD_NOTE_MSG", "Примечание");
	define("PROD_SHIPPING_MSG", "Доставка");
	define("PROD_WEIGHT_MSG", "Вес");
	define("PROD_DOWNLOAD_COLUMN", "Ссылки");
	define("PROD_TITLE_COLUMN", "Товар");
	define("PROD_CODE_MSG", "Код");
	define("PROD_QTY_COLUMN", "Кол-во");
	define("PROD_PRICE_COLUMN", "Цена");
	define("PROD_TOTAL_COLUMN", "Всего");
	define("PROD_TAX_TOTAL_COLUMN", "Всего");
	define("GOODS_TOTAL_MSG", "Всего на сумму:");
	define("TOTAL_DISCOUNT_MSG", "Полная скидка");
	define("GOODS_WITH_DISCOUNT_MSG", "Стоимость после скидки");
	define("SHIPPING_TRACKING_MSG", "Номер для контроля доставки");
	define("SHIPPING_EXPECTING_MSG", "Ожидаемое время покупки");
	define("SELECT_SHIPPING_METHOD_MSG", "Select Shipping Method");
	define("PROCESSING_FEE_MSG", "Плата за обработку");
	define("MY_PRODUCTS_MSG", "Мои товары");
	define("MY_PRODUCTS_DESC", "Нажмите здесь чтобы разместить свой товар или изменить уже имеющиеся");
	define("EDIT_PRODUCT_MSG", "Редактировать");
	define("ORDER_STEP_ONE_MSG", "Шаг 1. Персональные данные");
	define("ORDER_STEP_TWO_MSG", "Шаг 2. Данные об оплате");
	define("ORDER_STEP_THREE_MSG", "Шаг 3. Подтверждение заказа");
	define("PROD_NEW_ERROR", "У вас нет прав для добавления товара");
	define("PROD_EDIT_ERROR", "У вас нет прав для редактирования товара");
	define("PROD_DELETE_ERROR", "У вас нет прав для удаления товара");
	define("PROD_DELETE_CONFIRM_MSG", "Удалить этот товар?");
	define("PROD_NOT_APPROVED_MSG", "Не одобренный");
	define("PROD_ACTIVE_MSG", "Активный");
	define("PROD_GENERAL_TAB", "Общие");
	define("PROD_DOWNLOADABLE_TAB", "Программные продукты");
	define("PROD_SPECIAL_OFFER_TAB", "Специальное предложение");
	define("PROD_RECURRING_TAB", "Периодичность выплат");
	define("PROD_NOTIFICATION_TAB", "Оповещение");
	define("PROD_NOTES_TAB", "Заметки");
	define("PROD_GENERAL_INFO_MSG", "Общая информация о товаре");
	define("PROD_SHOWN_MSG", "Доступен для продаж");
	define("PROD_ORDER_MSG", "Заказ товара");
	define("PROD_TYPE_MSG", "Тип товара");
	define("PROD_NAME_MSG", "Наименование");
	define("PROD_MANUFACTURER_MSG", "Производитель");
	define("PROD_ISSUE_DATE_MSG", "Дата выпуска");
	define("PROD_ADDITIONAL_OPTIONS_MSG", "Дополнительные опции");
	define("PROD_ALLOWED_COMPARISON_MSG", "Разрешить сравнение");
	define("PROD_TAX_FREE_MSG", "Не облагаемый налогом товар");
	define("PROD_LANGUAGE_DESC", "Показывать товар только для выбранного языка");
	define("PROD_PRICING_MSG", "Цены");
	define("PROD_CHANGE_PRICE_MSG", "Разрешить покупателю менять цену");
	define("PROD_LIST_PRICE_MSG", "Цена (основная цена продажи)");
	define("PROD_DISCOUNT_PRICE_MSG", "Цена со скидкой");
	define("PROD_ACTIVATE_DISCOUNT_MSG", "Активация скидки");
	define("PROD_TRADE_PRICE_MSG", "Оптовая цена");
	define("PROD_DISCOUNT_TRADE_MSG", "Оптовая цена со скидкой");
	define("PROD_BUYING_PRICE_MSG", "Цена закупки");
	define("PROD_SHOWN_DISCOUNT_MSG", "Показываемая скидка (%)");
	define("PROD_OPTIONS_PRICE_MSG", "Цена опций");
	define("PROD_OPTIONS_PRICE_DESC", "используйте это поле для показа цены вместе с опциями для блоков даже при недоступных опциях");
	define("PROD_PRICE_PREVIEW_MSG", "Просмотр цены (вид на странице)");
	define("PROD_APPEARANCE_MSG", "Показ товаров");
	define("PROD_LANGUAGE_MSG", "Язык");
	define("CUSTOM_TEMPLATE_MSG", "Индивидуальный шаблон");
	define("HIDE_ADD_BUTTON_MSG", "Спрятать кнопку '<b>{ADD_TO_CART_MSG}</b>'");
	define("ON_PROD_LIST_MSG", "в списке товаров");
	define("ON_PROD_DETAILS_MSG", "на странице с детальным описанием");
	define("ON_TABLE_VIEW_MSG", "on table view list");
	define("ON_GRID_VIEW_MSG", "on grid view list");
	define("ON_SEPARATE_PAGE_MSG", "на отдельной странице");
	define("ON_CHECKOUT_PROCESS_MSG", "при оформлении заказа");
	define("PROD_PREVIEW_URL_MSG", "URL предпросмотра товара");
	define("PROD_STOCK_MSG", "Наличие товара");
	define("USE_STOCK_MSG", "Включить контроль остатка на складе");
	define("STOCK_QUANTITY_MSG", "Количество в наличии");
	define("HIDE_OUT_STOCK_MSG", "Скрывать товары отсутствующие на складе");
	define("HIDE_OUT_STOCK_DESC", "не показывать на странице товар, которого нет в наличие");
	define("DISABLE_OUT_STOCK_MSG", "Запретить заказывать отсутствующие товары");
	define("DISABLE_OUT_STOCK_DESC", "Деактивировать '<b>{ADD_TO_CART_MSG}</b>' кнопку в случае отсутствия товара на складе.");
	define("IN_STOCK_AVAILABILITY_MSG", "Доставка при наличи на складе");
	define("IN_STOCK_AVAILABILITY_DESC", "обычно это время доставки при наличие товара на складе");
	define("OUT_STOCK_AVAILABILITY_MSG", "Доставки при отсутствии на складе");
	define("OUT_STOCK_AVAILABILITY_DESC", "обычно это время доставки при отсутствии товара на складе");
	define("SHIPPING_RESTRICTIONS_MSG", "Ограничения доставки");
	define("PROD_OFFER_ACTIVATE_MSG", "Добавить товар в Специальные предложения");
	define("PROD_RATING_MSG", "Рейтинг товара");
	define("PROD_DIRECT_LINK_MSG", "Прямая ссылка для покупки товара");
	define("PRODUCTS_REPORT_MSG", "Список товаров");
	define("MERCHANT_SALES_MSG", "Продажи");
	define("MERCHANT_SALES_DESC", "Здесь Вы можете увидеть отчёты по комиссионным выплатам.");
	define("AFFILIATE_SALES_MSG", "Продажи партнёров");
	define("AFFILIATE_SALES_DESC", "Нажмите здесь чтоб просмотреть список продаж ваших партнёров и проверить общее количество комиссий");
	define("COMMISSION_PAYMENTS_MSG", "Выплаты комиссий");
	define("COMMISSION_PAYMENTS_DESC", "Упорядочивание платежей полученных в качестве комиссий.");
	define("PAYMENT_NAME_COLUMN", "Наименование платежа");
	define("PAYMENT_TOTAL_COLUMN", "Всего");
	define("PAYMENT_DATE_COLUMN", "Дата платежа");
	define("NO_COMMISSION_PAYMENTS_MSG", "Не найдено плетежей комиссий");
	define("COMMISSIONS_MSG", "Комиссии");
	define("COMMISSION_AMOUNT_COLUMN", "Объем комисии");
	define("COMMISSION_DATE_COLUMN", "Дата комиссии");
	define("NO_COMMISSIONS_MSG", "Не найдено комиссий");
	define("AFFILIATE_MSG", "Партнер");
	define("MERCHANT_MSG", "Продавец");
	define("CONTACT_MERCHANT_TITLE", "Связаться с продавцом");
	define("PROD_SORT_BY_MSG", "Сортировать");
	define("PROD_SORT_DEFAULT_MSG", "По умолчанию");
	define("PROD_SORT_MANUFACTURER_MSG", "Производитель");
	define("PROD_SORT_CODE_MSG", "Код");
	define("PROD_MOST_POPULAR_MSG", "Наиболее популярный");
	define("PROD_FIELDS_TAB", "Настройки полей");
	define("PROD_TERMS_TAB", "Сроки");
	define("PROD_SHOW_TERMS_MSG", "Показывать текст Правил и Условий");
	define("PROD_SHOW_TERMS_DESC", "Для подтверждения пользователь обязан прочитать и согласиться с нашими условиями и соглашениями");
	define("PROD_TERMS_MSG", "Правила и Условия");
	define("PROD_TERMS_USER_DESC", "Я прочитал и согласен с вашими условиями и соглашениями");
	define("PROD_TERMS_USER_ERROR", "Для подтверждения вы обязаны прочитать и согласиться с нашими условиями и соглашениями");
	define("MERCHANT_PRODUCTS_LIMIT_MSG", "Количество товаров которые могут быть добавлены продавцом");
	define("MERCHANT_PRODUCTS_LIMIT_DESC", "Оставьте это поле пустым, если не нужно ограничивать количество добавляемых продавцом товаров");
	define("MERCHANT_PRODUCTS_LIMIT_ERROR", "Вы не можете добавить более {products_limit} товаров.");
	define("FEES_COMMISSIONS_MSG", "Платы и комиссии");
	define("DISCOUNTS_FEES_COMMISSIONS_MSG", "Скидки, платы и комиссии");
	define("DISCOUNT_MSG", "Скидка");
	define("MERCHANT_FEE_MSG", "Плата пользователя (аренда)");
	define("AFFILIATE_COMMISSION_MSG", "Комиссия Пользователя");
	define("NO_OPTIONS_AVAILABLE_MSG", "Нет доступных опций и компонентов");
	define("OPTION_MSG", "Опция");
	define("SUBCOMPONENT_MSG", "Подкомпонент");
	define("SUBCOMPONENT_SELECTION_MSG", "Выбор подкомпонентов");
	define("ADD_SUBCOMPONENT_MSG", "Добавить подкопонент");
	define("ADD_SUBCOMPONENT_SELECTION_MSG", "Добавит выбор подкомпонентов");
	define("EDIT_OPTION_MSG", "Редактировать опцию");
	define("OPTION_ORDER_MSG", "Номер опции");
	define("OPTION_NAME_MSG", "Название опции");
	define("OPTION_CONTROL_MSG", "Элемент управления опции");
	define("CONTROL_TYPE_USE_DESC", "Элемент управления для выбора опции товара");
	define("OPTION_TEXT_MSG", "Для <b>Checkboxes List</b>, <b>ListBox</b> и <b>Radio Buttons</b> добавьте значения в поля Значений Опции");
	define("OPTION_STYLE_MSG", "Текст опции");
	define("OPTION_STYLE_NOTE", "Стиль опции");
	define("SHOW_OPTION_MSG", "Используйте CSS для изменения вида блока опции");
	define("OPTION_REQUIRED_MSG", "Показать опции");
	define("OPTIONS_APPEARANCE_MSG", "Опция необходима");
	define("CONTROL_STYLE_MSG", "Внешний вид опции");
	define("CONTROL_STYLE_NOTE", "Стиль элемента управления");
	define("BEFORE_TITLE_HTML_MSG", "Используйте CSS для изменения вида эемента управления");
	define("BEFORE_TITLE_HTML_NOTE", "HTML перед заголовком");
	define("BEFORE_TITLE_COMPONENT_NOTE", "этот HTML будет перед названием опции");
	define("AFTER_TITLE_HTML_MSG", "этот HTML будет перед названием компонента");
	define("AFTER_TITLE_HTML_NOTE", "HTML после заголовка");
	define("AFTER_TITLE_COMPONENT_NOTE", "этот HTML будет после названия опции");
	define("BEFORE_CONTROL_HTML_MSG", "этот HTML будет после названия компонента");
	define("BEFORE_CONTROL_HTML_NOTE", "HTML перед элементом управления");
	define("BEFORE_CONTROL_COMPONENT_NOTE", "этот HTML будет перед каждым элементом управления опции");
	define("AFTER_CONTROL_HTML_MSG", "этот HTML будет перед каждым элементом управления компонента");
	define("AFTER_CONTROL_HTML_NOTE", "HTML после элемента управления");
	define("AFTER_CONTROL_COMPONENT_NOTE", "этот HTML будет после каждого элемента управления опции");
	define("END_HTML_MSG", "этот HTML будет после каждого элемента управления компонента");
	define("END_HTML_NOTE", "HTML окончания");
	define("END_COMPONENT_NOTE", "этот HTML будет в конце блока опции");
	define("JAVASCRIPT_SETTINGS_MSG", "этот HTML будет в конце блока компонента");
	define("ONCHANGE_EVENT_MSG", "Установки Javascript");
	define("ONCLICK_EVENT_MSG", "Событие OnChange");
	define("CONTROL_CODE_MSG", "Событие OnClick");
	define("OPTIONS_VALUES_MSG", "Код элемента управления");
	define("DESCRIPTION_AND_CODE_MSG", "Значения опции");
	define("SELLING_MSG", "Описание и код");
	define("PERCENTAGE_MSG", "Продажа");
	define("OPTION_PERCENTAGE_PRICE_DESC", "Процент");
	define("BUYING_MSG", "Укажите цену опции в процентах от стоимости товара");
	define("USE_MSG", "Покупка");
	define("ACTIVATE_STOCK_CONTROL_MSG", "Использовать");
	define("ACTIVATE_CONTROL_CHECKBOX_MSG", "Проверять наличие на складе");
	define("CHECK_STOCK_USE_MSG", "Отметьте этот флажок, чтобы проверять наличие на складе");
	define("HIDE_MSG", "Активируйте Ограничение Количества прежде чем использовать опцию Скрыть отсутствующие товары");
	define("HIDE_IF_OUT_STOCK_MSG", "Скрыть");
	define("HIDE_OPTION_VALUE_DESC", "Скрыть, если нет на складе");
	define("PATH_MSG", "Отметьте этот флажок, чтобы скрыть опцию, если ее нет на складе");
	define("PERIOD_MSG", "Путь");
	define("STOCK_LEVEL_MSG", "Период");
	define("DOWNLOADABLE_OPTIONS_MSG", "Ограничение количества");
	define("ADD_MORE_OPTIONS_QST", "Опции программных продуктов");
	define("EDIT_SUBCOMP_MSG", "Добавить значения опций?");
	define("SUBCOMP_ID_MSG", "Редактировать подкомпонент");
	define("SUBCOMP_NAME_MSG", "ID подкомпонента");
	define("SUBCOMP_PRICE_MSG", "Название подкомпонента");
	define("SUBCOMP_PRICE_NOTE", "Цена подкомпонента");
	define("OVERRIDE_PRICE_MSG", "здесь вы можете перекрыть базовую цену товара");
	define("REAL_PRICE_MSG", "Перекрыть цену");
	define("EDIT_SUBCOMP_SELECTION_MSG", "Настоящая цена");
	define("COMPONENT_ORDER_MSG", "Редактировать набор компонентов");
	define("COMPONENT_NAME_MSG", "Номер компонента");
	define("COMPONENT_CONTROL_MSG", "Название компонента");
	define("COMPONENT_CONTROL_DESC", "Тип для выбора компонента");
	define("COMPONENT_STYLE_MSG", "Элемент управления для указания дополнительных подкомпонентов");
	define("USE_CSS_TO_CHANGE_MSG", "Стиль компонента");
	define("SHOW_COMPONENT_MSG", "Используйте CSS для изменения вида блока компонента");
	define("COMPONENT_REQUIRED_MSG", "Показать компонент");
	define("COMPONENT_APPEARANCE_MSG", "Обязательный компонент");
	define("LIST_OF_SUBCOMPONENTS_MSG", "Внешний вид компонента");
	define("ADD_MORE_SUBCOMP_QST", "Добавить подкомпоненты?");
	define("PRODUCT_SELECTION_MSG", "Набор товаров");
	define("SELECT_PRODUCT_MSG", "Выбрать товар");
	define("PRODUCT_ID_MSG", "ID товара");
	define("POINTS_MSG", "Бонусы");
	define("PROD_PAY_POINTS_MSG", "Заплатить бонусами за покупку");
	define("POINTS_NOT_ALLOWED_MSG", "Запрещено");
	define("POINTS_ALLOWED_MSG", "Разрешено");
	define("ONLY_POINTS_ALLOWED_MSG", "Платить только бонусами");
	define("POINTS_PRICE_MSG", "Бонусная стоимость");
	define("POINTS_PRICE_DESC", "оставить поле пустым для использования курса обмена денежного значения на бонусы");
	define("POINTS_AMOUNT_MSG", "Количество бонусов");
	define("REWARD_POINTS_MSG", "Бонусные очки");
	define("REWARD_POINTS_TYPE_MSG", "Типы наградных бонусов");
	define("REWARD_POINTS_AMOUNT_MSG", "Количество наградных бонусов");
	define("PAY_WITH_POINTS_SYSTEM_MSG", "Способ оплаты при помощи системы бонусов");
	define("PERCENT_PER_PROD_FULL_PRICE_MSG", "Процент за стоимость товара/опции");
	define("FIXED_AMOUNT_PER_PROD_MSG", "Фиксированное количество за продукт");
	define("PERCENT_PER_PROD_SELL_PRICE_MSG", "Процент за торговую стоимость товара");
	define("PERCENT_PER_PROD_SELL_BUY_MSG", "Процент за (торговую стоимость - стоимость покупки)");
	define("POINTS_CONVERSION_RATE_MSG", "Курс обмена бонусов на деньги");
	define("SHIPPING_PAY_POINTS_MSG", "Платить бонусами за доставку");
	define("ORDER_OPTIONS_PAY_POINTS_MSG", "Платить бонусами за опции заказа");
	define("POINTS_DECIMALS_MSG", "Количество знаков для бонусов");
	define("ACCUMULATE_POINTS_MSG", "Накапливать бонусы");
	define("ACCUMULATE_POINTS_FOR_POINTS_MSG", "Возможно ли накапливание новых бонусов при оплате покупок бонусами?");
	define("POINTS_BALANCE_MSG", "Баланс бонусов");
	define("POINTS_REMAINING_MSG", "Бонусов осталось");
	define("POINTS_NEEDED_TOTAL_MSG", "Всего необходимо бонусов");
	define("POINTS_CHECKBOXES_SELECT_MSG", "Отметьте продукты и опции которые желаете приобрести за бонусы");
	define("POINTS_ENOUGH_ERROR", "У вас не хватает бонусов ({points_amount}) чтоб заплатить за покупку.");
	define("REWARDS_MSG", "Бонусы");
	define("REWARD_CREDITS_MSG", "Бонусы");
	define("REWARD_CREDITS_TYPE_MSG", "Типы бонусов");
	define("REWARD_CREDITS_AMOUNT_MSG", "Количество бонусов");
	define("REWARD_CREDITS_TOTAL_MSG", "Total Reward Credits");
	define("PRODUCT_REWARDS_MSG", "Product Rewards");
	define("POINTS_AND_CREDITS_MSG", "Points & Credits");
	define("CREDITS_MSG", "Credits");
	define("DISCOUNT_PRICE_TYPE_MSG", "Discount Price Type");
	define("PARENT_OPTION_MSG", "Parent Option");
	define("PARENT_OPTION_DESC", "parent option to be selected to show current option");
	define("PARENT_OPTION_VALUE_MSG", "Parent Option Value");
	define("PARENT_OPTION_VALUE_DESC", "parent option value to be selected to show current option");
	define("PARENT_COMPONENT_SELECTION_MSG", "Parent Component Selection");
	define("PARENT_COMPONENT_MSG", "Parent Component");
	define("ASSIGN_OPTION_MSG", "Assign Option");
	define("ASSIGN_COMPONENT_MSG", "Assign Component");
	define("ONLY_FOR_LABEL_MSG", "Only for <b>Label Control</b>");
	define("AUTO_ADD_TO_ALL_PRODS_MSG", "Automatically added to all products");
	define("SELECT_OPTION_AND_VALUES_MSG", "Allow you to select this option and option values for each product individually");
	define("SELECT_OPTION_ALL_VALUES_MSG", "Allow you to select this option with all values for each product individually");
	define("SINGLE_TOTAL_PRICE_MSG", "Single total price");
	define("FOR_SPECIFIED_CONTOL_MSG", "For specified control type");
	define("FOR_SPECIFIED_LETTER_MSG", "For specified letter");
	define("FOR_SPECIFIED_NONSPACE_MSG", "For specified non-space letter");
	define("SUMMARY_DISCOUNT_MSG", "Summary Discount");
	define("FREE_CHARGE_CONTROLS_MSG", "Free of charge control types");
	define("FREE_CHARGE_LETTERS_MSG", "Free of charge letters");
	define("FREE_CHARGE_NONSPACE_MSG", "Free of charge non-space letters");
	define("MAX_LETTERS_ALL_CONTROLS_MSG", "Maximum number of letters for all control types");
	define("MAX_LETTERS_EACH_CONTROL_MSG", "Maximum number of letters per each control type");
	define("MAX_NONSPACE_ALL_CONTROLS_MSG", "Maximum number of non-space letters for all control types");
	define("MAX_NONSPACE_EACH_CONTROL_MSG", "Maximum number of non-space letters per each control type");
	define("MAX_LIMIT_MSG", "Maximium Limit");
	define("MAX_LIMIT_TYPE_MSG", "Maximium Limit Type");
	define("MAX_LIMIT_LENGTH_MSG", "Maximum Limit Length");
	define("SELLING_PRICE_MSG", "Selling Price");
	define("TRADE_SELLING_PRICE_MSG", "Trade Selling Price");
	define("PERCENTAGE_PRICE_MSG", "Percentage Price");
	define("PRODUCT_ID_NO_LONGER_EXISTS_MSG", "Product with ID '<b>{item_id}</b>' no longer exists in the database");
	define("PROD_TYPE_ID_NO_LONGER_EXISTS_MSG", "Product Type with ID '<b>{item_type_id}</b>' no longer exists in the database");
	define("STOCK_AND_SHIPPING_MSG", "Stock & Shipping");
	define("IMAGES_AND_APPEARANCE_MSG", "Images & Appearance");
	define("MINIMUM_ITEMS_QTY_MSG", "Minimum Quantity");
	define("MAXIMUM_ITEMS_QTY_MSG", "Maximum Quantity");
	define("MINIMUM_ITEMS_QTY_NOTE", "minimum allowed number of items to purchase");
	define("MAXIMUM_ITEMS_QTY_NOTE", "maximum allowed number of items to purchase");
	define("QTY_INCREMENT_MSG", "Quantity Increment");
	define("FREE_SHIPPING_MSG", "Free Shipping");
	define("FREE_SHIPPING_DESC", "this option excludes any shipping costs for this product and its weight");
	define("HAS_BEEN_SUCCESSFULLY_COPIED_MSG", "has been successfully copied to the following products:");
	define("ALREADY_COPIED_MSG", "are already copied to the following products:");
	define("ALLOW_PRODUCT_COMPARISON_MSG", "Allow Products Comparison");
	define("FULL_DESCRIPTION_TYPE_MSG", "Full Description Type");
	define("IS_SPECIAL_OFFER_MSG", "Is Special Offer");
	define("HIDE_BUTTON_PROD_LIST_MSG", "Hide Add to Cart button on Products list Page");
	define("HIDE_BUTTON_PROD_DETAILS_MSG", "Hide Add to Cart button on Product Details Page");
	define("HIDE_OFF_LIMITS_PRODUCTS_MSG", "Hide Off Limits Products");
	define("IS_DOWNLOADABLE_MSG", "Is Downloadable");
	define("DIRECT_BUY_LINK_MSG", "Direct Buy Link");
	define("SHIPPING_COST_MSG", "Стоимость доставки");
	define("SELECT_ONE_PRODUCT_MSG", "Please select at least one product first.");
	define("SELECT_ONE_PRODUCT_TYPE_MSG", "Please select at least one product type first.");
	define("ADD_COMPONENTS_TO_PRODUCTS_MSG", "Add components to other Products");
	define("ADD_COMPONENTS_TO_PRODUCT_TYPES_MSG", "Add components to other Product Types");
	define("COPY_COMPONENTS_TO_PRODUCTS_MSG", "Copy components to selected Products");
	define("COPY_COMPONENTS_TO_PRODUCT_TYPES_MSG", "Copy components to selected Product Types");
	define("SUCCESSFULLY_COPIED_TO_PRODUCT_TYPES_MSG", "has been successfully copied to the following product types:");
	define("ALREADY_COPIED_TO_PRODUCT_TYPES_MSG", "are already copied to the following product types:");

	define("CART_TOTAL_MSG", "Итого");
	define("CONTINUE_SHOPPING_MSG", "Продолжить делать покупки");
	define("REMOVE_FROM_CART_MSG", "Удалить");
	define("EMPTY_CART_MSG", "Ваша корзина пуста");
	define("CLEAR_CART_MSG", "Очистить корзину");
	define("PRE_ORDER_MSG", "Предзаказ");
	define("ADD_TO_CART_MSG", "Добавить в корзину");
	define("ADD_TO_WISHLIST_MSG", "Add to Wishlist");
	define("VIEW_CART_MSG", "Просмотр корзины");
	define("AMEND_CART_MSG", "Изменить корзину");
	define("MY_SAVED_CARTS_MSG", "Сохранённое в корзине");
	define("MY_SAVED_CARTS_DESC", "Просмотреть/восстановить сохраненные корзины");
	define("NO_CARTS_MSG", "У Вас в корзине нет ранее сохранённых данных");
	define("SAVE_CART_TITLE", "Сохранить Вашу корзину");
	define("SAVE_CART_BUTTON", "Сохранить корзину");
	define("SAVE_CART_INFO_MSG", "Вы можете сохранить текущую корзину со всем содержимым и восстановить ее в любое время. Данная функция удобна, если Вам, к примеру, необходимо время, чтобы обдумать или посоветоваться перед оформлением заказа. Для сохранения, введите любое название корзины и нажмите \\\"Сохранить корзину\\\". Вы получите уникальный номер используемый вместе с названием корзины для восстановления ее содержимого. Если Вы зарегистрированы, то сможете вернуться к сохраненной корзине на странице с персональными данными.");
	define("CART_NO_FIELD", "Номер корзины");
	define("CART_NAME_FIELD", "Название корзины");
	define("CART_SAVED_DATE_COLUMN", "Дата сохранения");
	define("CART_TOTAL_COLUMN", "Всего в корзине");
	define("CART_SAVED_MSG", "Корзина сохранена под номером <b>{cart_id}</b>.");
	define("RETRIEVE_CART_TITLE", "Восстановление корзины");
	define("RETRIEVE_CART_BUTTON", "Восстановить корзину");
	define("RETRIEVE_CART_INFO_MSG", "Введите Номер и Название сохраненной корзины для ее восстановления");
	define("RETRIEVE_CART_NOTE_MSG", "Обратите внимание, что восстановленная корзина заменит текущую. Убедитесь что сохранили все изменения.");
	define("CART_RETRIEVED_MSG", "Корзина восстановлена.");
	define("RETRIEVE_CART_ERROR", "Невозможно восстановить корзину. <br>Убедитесь в правильности введенной информации и попробуйте снова.");
	define("PROD_NOT_AVAILABLE_ERROR", "Товар отсутствует на складе.");
	define("PROD_OPTIONS_MISSED_ERROR", "Отсутствуют некоторые опции для товара. Вернитесь на страницу товара чтоб выбрать заново.");
	define("GOTO_CHECKOUT_MSG", "Оформить заказ");
	define("CHECKOUT_WITHOUT_MSG", "Оформить заказ, не создавая аккаунт");
	define("OPEN_AND_CHECKOUT_MSG", "Создать аккаунт и оформить заказ");
	define("REMOVE_FROM_CART_JS", "Вы уверены, что Вы хотите, удалить этот {item_type} из вашей корзины?");
	define("CLEAR_CART_JS", "Вы уверены, что Вы хотите, удалить все товары из вашей корзины?");
	define("CART_QTY_ZERO_JS", "Вы собираетесь изменить, количество от ' {old_quantity} 'к' 0 '. \\n Это удалит ' {product_name} ' из вашей корзины. \\n Продолжить?");
	define("ALTER_CART_QTY_JS", "Вы собираетесь изменить количество \\n' {product_name} 'от' {old_quantity} 'до' {new_quantity} ' \\n Продолжить?");
	define("ADD_PRODUCT_MSG", "Добавить этот товар к вашей корзине?");
	define("PRODUCT_OUT_STOCK_MSG", "Жаль, но Вы не можете купить этот товар, поскольку он в настоящее время отсутствует на складе.");
	define("REQUIRED_PROPERTY_MSG", "Пожалуйста определите {property_name} для {product_name}.");
	define("PRODUCT_LIMIT_MSG", "Вы не можете добавить больше чем {limit_quantity} шт. для {product_name}.");
	define("ADDED_PRODUCT_MSG", "Добавлено в корзину");
	define("REQUIRED_DELIVERY_MSG", "Пожалуйста выберите метод доставки.");
	define("PROD_RESTRICTED_DELIVERY_MSG", "{product_name} невозможно доставить в {country_name}.");
	define("NO_PRODUCT_MSG", "Товар с этим ID не доступен в этой категории");
	define("NO_PRODUCTS_MSG", "Ни одного товара не найдено в этой категории");
	define("NO_PRODUCTS_MATCH_MSG", "Не найден товар соответствующий запросу.");
	define("FOUND_PRODUCTS_MSG", "Найдено <b> {found_records} </b> товаров, соответствующих сроке (ам) ' <b> {search_string} </b> '");
	define("PROD_DOWNLOAD_MSG", "Скачать");
	define("PROD_VER_MSG", "верс.");
	define("PROD_RELEASES_MSG", "{product_name} релизы");
	define("PROD_CHANGES_LOG_MSG", "{product_name} описание изменений");
	define("CHANGES_LOG_MSG", "Описание изменений");
	define("ALL_PRODUCTS_MSG", "Все товары");
	define("ALL_PROD_RELEASES_MSG", "Все релизы");
	define("NO_PROD_RELEASES_MSG", "Нет доступных релизов");
	define("NO_RELEASE_CHANGES_MSG", "Нет доступных изменений");
	define("SERIAL_NUMBER_MSG", "С/Н");
	define("RECURRING_OPTIONS_MSG", "Опции комиссионных выплат");
	define("RECURRING_ACTIVATE_MSG", "Активировать выплаты");
	define("RECURRING_PERIOD_MSG", "Периодичность выплат (кол-во)");
	define("RECURRING_INTERVAL_MSG", "Интервал повторения");
	define("RECURRING_INTERVAL_DESC", "Длительность цикла проплаты");
	define("RECURRING_PAYMENTS_TOTAL_MSG", "Сумма платежа");
	define("RECURRING_PAYMENTS_TOTAL_DESC", "Общая сумма комиссионных при которой возможна оплата");
	define("RECURRING_PAYMENTS_MADE_MSG", "Проведенные платежи");
	define("RECURRING_PAYMENTS_FAILED_MSG", "Неудачные платежи");
	define("RECURRING_START_DATE_MSG", "Начальная дата платежей");
	define("RECURRING_START_DATE_DESC", "Дата начала выплат платежей");
	define("RECURRING_END_DATE_MSG", "Конечная дата платежей");
	define("RECURRING_END_DATE_DESC", "Дата окончания выплат");
	define("RECURRING_LAST_PAYMENT_MSG", "Дата последнего платежа");
	define("RECURRING_PLAN_PAYMENT_MSG", "Планируемая дата платежа");
	define("RECURRING_NEXT_PAYMENT_MSG", "Дата следующего платежа");
	define("RECURRING_METHOD_MSG", "Метод повторения");
	define("RECURRING_NOT_ALLOWED_MSG", "Недоступно");
	define("RECURRING_NOT_ALLOWED_ERROR", "Товар с повторяющимися платежами недоступен для платежного метода '{payment_name}'. Выберите другой метод.");
	define("RECURRING_AUTO_CREATE_MSG", "Автоматически создать заказ для следующего платежа");
	define("RECURRING_AUTO_BILL_MSG", "Автоматически создавать и проплачивать повторяющиеся заказы");
	define("RECURRING_SHIPPING_MSG", "Подтвердить покупку для повторяющегося платежа");
	define("RECURRING_PROCEED_CURRENT_MSG", "Proceed current recurring orders");
	define("SUBSCRIPTION_MSG", "Подписка");
	define("SUBSCRIPTION_OPTIONS_MSG", "Опции подписки");
	define("SUBSCRIPTION_ACTIVATE_MSG", "Активировать подписку");
	define("SUBSCRIPTION_RECURRING_MSG", "Подписка на повторные сообщения");
	define("SUBSCRIPTION_NAME_MSG", "Название подписки ");
	define("SUBSCRIPTION_FEE_MSG", "Плата за подписку");
	define("SUBSCRIPTION_PERIOD_MSG", "Период подписки");
	define("SUBSCRIPTION_INTERVAL_MSG", "Интервал подписки");
	define("SUBSCRIPTION_INTERVAL_DESC", "Длительность цикла подписки");
	define("SUBSCRIPTION_SUSPEND_MSG", "Приостановка подписки");
	define("SUBSCRIPTION_SUSPEND_DESC", "Кол-во дней на которые приостановлена подписка");
	define("SUBSCRIPTION_CANCEL_MSG", "Прекратить подписку");
	define("SUBSCRIPTION_REWARDS_MSG", "Subscription Rewards");
	define("SUBSCRIPTION_FEE_PERCENTAGE_MSG", "Percentage of subscription fee");
	define("SUBSCRIPTION_FIXED_AMOUNT_MSG", "Fixed amount for subscription");

	define("COUPON_MSG", "Купон");
	define("COUPON_NOT_FOUND_MSG", "Купон с таким кодом не найден");
	define("COUPON_NON_ACTIVE_MSG", "Этот купон не активный");
	define("COUPON_USED_MSG", "Этот купон уже использовался.");
	define("COUPON_EXPIRED_MSG", "Время использования купона истекло.");
	define("COUPON_EXCLUSIVE_MSG", "Этот купон не может использоваться с купонами, которые уже применены.");
	define("COUPON_APPLIED_MSG", "Этот купон был уже применен.");
	define("COUPON_PRODUCTS_MSG", "Этот купон не может использоваться с товаром в вашей корзине.");
	define("COUPON_ORDER_AMOUNT_MSG", "Этот купон не может быть применен для вашей текущей закупки. <br> Минимальное количество для этого купона - {minimum_amount}");
	define("COUPON_PROD_PRICE_MSG", "Этот купон не может быть применен для вашего товара. <br> Минимальная цена на товар для этого купона - {minimum_amount}");
	define("COUPON_REMOVE_MSG", "Удалить Купон");
	define("COUPON_CODE_FIELD", "Купон");

	define("CC_NAME_FIELD", "Имя владельца карты");
	define("CC_NAME_DESC", "как написано на карте");
	define("CC_FIRST_NAME_FIELD", "Имя");
	define("CC_LAST_NAME_FIELD", "Фамилия");
	define("CC_NUMBER_FIELD", "Номер карты");
	define("CC_NUMBER_ERROR_MSG", "Неправильный номер кредитной карточки - пожалуйста проверьте правильность и пробуйте снова.");
	define("CC_NUMBER_ALLOWED_MSG", "Извините, эта карта не подходит для данного платежа");
	define("CC_START_DATE_FIELD", "Дата активации карты");
	define("CC_EXPIRY_DATE_FIELD", "Действует до");
	define("CC_TYPE_FIELD", "Тип карты");
	define("CC_ISSUE_NUMBER_FIELD", "Номер");
	define("CC_ISSUE_NUMBER_DESC", "Для карт Switch & Solo только");
	define("CC_SECURITY_CODE_FIELD", "Секретный код");
	define("CC_SECURITY_CODE_HELP_MSG", "Помощь?");
	define("CC_SECURITY_CODE_TITLE", "Что такое секретный код?");
	define("CC_SECURITY_CODE_1_DESC", "Код защиты карты - три уникальные цифры, напечатанные на вашей дебетно/кредитной карте. Это число не рельефно на карте и не печатается на квитанциях - оно неизвестно никому кроме владельца кредитной карточки. Некоторые производители называют это число 'Card Security Code', 'Personal Security Code' или 'Card Verification Value'.");
	define("CC_SECURITY_CODE_2_DESC", "У большинства карт это число с тремя цифрами напечатано сверху полосы подписи на обратной стороне карты.");
	define("PAY_WITHOUT_CC_MSG", "Если Вы не хотите платить кредитной картой нажмите здесь");
	define("PAY_WITHOUT_CC_FIELD", "Другая Информация об оплате");
	define("PAY_WITHOUT_CC_DESC", "Сообщите нам, как Вы хотите заплатить за ваши товары");

	define("ORDER_NUMBER_COLUMN", "Номер");
	define("ORDER_ADDED_COLUMN", "Дата");
	define("ORDER_TOTAL_COLUMN", "Всего");
	define("ORDER_NUMBER_MSG", "Номер заказа");
	define("PARENT_ORDER_NUMBER_MSG", "Номер родительского заказа");
	define("ORDER_DATE_MSG", "Дата заказа");
	define("ORDER_TOTAL_MSG", "ВСЕГО");
	define("INVOICE_MSG", "Счет");
	define("INVOICE_NUMBER_MSG", "Invoice Number");
	define("INVOICE_DATE_MSG", "Invoice Date");
	define("INVOICE_TO_MSG", "Заказано на");
	define("DELIVERY_TO_MSG", "Информация для доставки");
	define("PAYMENT_GATEWAY_MSG", "Способ оплаты");
	define("SELECT_PAYMENT_MSG", "Пожалуйста, выберите платежную систему или способ оплаты");
	define("GOTO_PAYMENT_MSG", "Теперь Вы будете перенаправлены на {payment_system}. Если этого не произошло, пожалуйста, нажмите кнопку ' {button_name} ', для продолжения.");
	define("MY_ORDERS_MSG", "Мои заказы");
	define("MY_ORDERS_DESC", "После того, как Вы сделали заказ, Вы всегда можете получить информацию о его состоянии, сохранить или распечатать счёт.");
	define("MY_SALES_ORDERS_MSG", "Заказы на мои товары");
	define("MY_SALES_ORDERS_DESC", "Информация о заказах на Ваши товары");
	define("PURCHASED_ORDERS_MSG", "Оплаченные заказы");
	define("NO_ORDERS_MSG", "Не найдено ни одного заказа");
	define("NO_ORDERS_MATCH_MSG", "По заданным Вами критериям поиска, ничего не найдено");
	define("VIEW_ORDER_DETAILS_MSG", "Просмотр данных заказа");
	define("ORDER_DETAILS_MSG", "Данные заказа");
	define("PAYMENT_DETAILS_MSG", "Данные оплаты");
	define("CHECKOUT_SUCCESS_TITLE", "Благодарим за покупку!");
	define("CHECKOUT_SUCCESS_MSG", "Спасибо, Ваш заказ успешно размещён. Номер заказа - {order_id}");
	define("CHECKOUT_PENDING_TITLE", "Ваш заказ находится на рассмотрении...");
	define("CHECKOUT_PENDING_MSG", "Ваша оплата не закончена и ждет одобрения.");
	define("CHECKOUT_ERROR_TITLE", "Ошибка заказа");
	define("CHECKOUT_ERROR_MSG", "Произошла ошибка при обработке вашего заказа. Мы сожалеем о вызванном неудобстве.");
	define("ORDER_CODE_ERROR", "Параметр проверки имеет неправильное значение.");
	define("ORDER_PLACED_ERROR", "<b> Заказ </b> был уже помещен.");
	define("ORDER_EXISTS_ERROR", "Такой <b> Заказ </b> не существует.");
	define("ORDER_NOTES_MSG", "Примечания к заказу");
	define("ORDER_NOTE_MSG", "Примечание к заказу");
	define("CANCEL_ORDER_MSG", "Отмена заказа");
	define("CANCEL_ORDER_CONFIRM_MSG", "Вы уверены, что Вы хотите отменить этот заказ?");
	define("GROSS_SALES_MSG", "Суммарные продажи");
	define("FEES_MSG", "Выплаты");
	define("NET_SALES_MSG", "Чистые продажи");
	define("ITEMS_NUMBER_COLUMN", "Кол-во товаров");
	define("AVERAGE_PRICE_COLUMN", "Средняя цена");
	define("PAID_STATUS_MSG", "Статус оплаты");
	define("PAID_MSG", "Оплачено");
	define("NOT_PAID_MSG", "Не оплачено");
	define("PAY_FOR_YOUR_ORDER_MSG", "К оплате по заказу");
	define("ORDER_MIN_PRODUCTS_COST_FIELD", "Минимальная стоимость товаров в заказе");
	define("ORDER_MAX_PRODUCTS_COST_FIELD", "Максимальная стоимость товаров в заказе");
	define("ORDER_MIN_WEIGHT_FIELD", "Минимальный вес заказа");
	define("ORDER_MAX_WEIGHT_FIELD", "Максимальный вес заказа");
	define("ORDER_MIN_PRODUCTS_COST_ERROR", "Общая стоимость товаров в одном заказе не может быть менее {min_cost}.");
	define("ORDER_MAX_PRODUCTS_COST_ERROR", "Общая стоимость товаров в одном заказе не может превышать {max_cost}.");
	define("ORDER_MIN_WEIGHT_ERROR", "Общий вес товаров в одном заказе не может быть менее {min_weight}.");
	define("ORDER_MAX_WEIGHT_ERROR", "Общий вес товаров в одном заказе не может быть более {max_weight}.");
	define("PURCHASED_PRODUCT_ERROR", "Извините, вы уже купили '{product_name}'. Вы не можете еще раз купить этот товар.");
	define("PURCHASED_PRODUCT_DAYS_ERROR", "Извините, вы уже купили '{product_name}'. Вы не можете еще раз купить этот товар в течении {days_number} дней.");
	define("PREVENT_REPURCHASE_MSG", "Запрет повторного заказа");
	define("PREVENT_PRODUCT_REPURCHASE_MSG", "Запретить посетителю делать повторный заказ на тот же товар в течении определённого периода (что бы по ошибке, к прим., не купил тот же DVD).");
	define("REPURCHASE_PERIOD_MSG", "Запретный период");
	define("REPURCHASE_PERIOD_DESC", "оставьте поле пустым, если хотите запретить делать повторный заказ вообще");
	define("MANUFACTURER_CODE_MSG", "Код производителя");
	define("SHOW_MANUFACTURER_CODE_MSG", "Show Manufacturer Code");
	define("APPROPRIATE_CODE_ERROR_MSG", "Отсутствует соответствующий заказ");
	define("APPROPRIATE_LIBRARY_ERROR_MSG", "Отсутствует соответствующая библиотека php");

?>